-- Script accepts date string like '2014-01-20'
--	returns days left till that date is reached

function split(str,delimiter)
   assert(type(str)=="string","bad argument #1 to 'split' (string expected, got "..type(str))
   assert(type(delimiter)=="string","bad argument #2 to 'split' (string expected, got "..type(delimiter))
   local t = {}
   for m in str:gmatch("(.-)%"..delimiter) do
      table.insert(t,m)
   end
   return t
end
-- must ad seperator at the end aswell, seems '2014-01-22' will not grab 22 unless you put another '-' behind it like '2014-01-22-'

-- Rounds number
function round(n)
return math.floor(n + 0.5)
end

-- time string '2014-01-20' expected
function CountDaysTillEvent(timestring)
	local d = split(timestring .. '-', '-')
	local now = os.time()
	local eventtime = os.time({year=d[1], month=d[2], day=d[3]})
	local timeleft = eventtime - now
	local daysleft = round(timeleft / 86400) -- 86400 is 1 day ( 24 * 60 * 60 )
	return daysleft
end

function Update()
	local timestring = SELF:GetOption('StringToParse', 'None')
	return CountDaysTillEvent(timestring)
end
